Loading...
Searching...
No Matches
Sip_reply_to

## Data Structures

struct | sip_reply_to_s
| Structure for Reply-To header. More...

## Macros

#define | sip_reply_to(sip)
| Access a SIP Reply-To header structure sip_reply_to_t from sip_t.
#define | SIP_REPLY_TO_INIT()
| Initializer for structure sip_reply_to_t.
#define | SIPTAG_REPLY_TO(x)
| Tag list item for pointer to a Reply-To header structure sip_reply_to_t.
#define | SIPTAG_REPLY_TO_REF(x)
| Tag list item for reference to a Reply-To header pointer.
#define | SIPTAG_REPLY_TO_STR(s)
| Tag list item for string with Reply-To header value.
#define | SIPTAG_REPLY_TO_STR_REF(x)
| Tag list item for reference to a Reply-To header string.

## Typedefs

typedef struct sip_reply_to_s | sip_reply_to_t
| @

## Functions

issize_t | sip_reply_to_d (su_home_t *, msg_header_t *, char *s, isize_t slen)
| Parse a SIP Reply-To header.
issize_t | sip_reply_to_e (char b[], isize_t bsiz, msg_header_t const *h, int flags)
| Print a SIP Reply-To header.
sip_reply_to_t * | sip_reply_to_init (sip_reply_to_t x[1])
| Initialize a structure sip_reply_to_t.
int | sip_is_reply_to (sip_header_t const *header)
| Test if header object is instance of sip_reply_to_t.
sip_reply_to_t * | sip_reply_to_dup (su_home_t *home, sip_reply_to_t const *hdr))
| Duplicate a list of Reply-To header header structures sip_reply_to_t.
sip_reply_to_t * | sip_reply_to_copy (su_home_t *home, sip_reply_to_t const *hdr))
| Copy a list of Reply-To header header structures sip_reply_to_t.
sip_reply_to_t * | sip_reply_to_make (su_home_t *home, char const *s))
| Make a Reply-To header structure sip_reply_to_t.
sip_reply_to_t * | sip_reply_to_format (su_home_t *home, char const *fmt,...)))
| Make a Reply-To header from formatting result.

## Variables

msg_hclass_t | sip_reply_to_class []
| Header class for Reply-To header.
tag_typedef_t | siptag_reply_to
| Tag for Reply-To header object.
tag_typedef_t | siptag_reply_to_str
| Tag for string with Reply-To header value.

## Detailed Description

## Macro Definition Documentation

## sip_reply_to

#define sip_reply_to | ( |  | sip | ) |

Access a SIP Reply-To header structure sip_reply_to_t from sip_t.

Since
  New in
  New in 1.12.7.

## SIP_REPLY_TO_INIT

#define SIP_REPLY_TO_INIT | ( |  | ) |

Initializer for structure sip_reply_to_t.

A static sip_reply_to_t structure for Reply-To header must be initialized with the SIP_REPLY_TO_INIT() macro. For instance,

sip_reply_to_t sip_reply_to = SIP_REPLY_TO_INIT;
SIP_REPLY_TO_INIT
#define SIP_REPLY_TO_INIT()
Initializer for structure sip_reply_to_t.
Definition sip_extra.h:918
sip_reply_to
#define sip_reply_to(sip)
Access a SIP Reply-To header structure sip_reply_to_t from sip_t.
Definition sip_extra.h:900
sip_reply_to_t
struct sip_reply_to_s sip_reply_to_t
@
Definition sip_extra.h:75

Since
  New in
  New in 1.12.7.

## SIPTAG_REPLY_TO

#define SIPTAG_REPLY_TO | ( |  | x | ) |

Tag list item for pointer to a Reply-To header structure sip_reply_to_t.

The SIPTAG_REPLY_TO() macro is used to include a tag item with a pointer to a sip_reply_to_t structure in a tag list.

Parameters

  x | pointer to a sip_reply_to_t structure, or NULL.

The corresponding tag taking reference parameter is SIPTAG_REPLY_TO_REF().

Since
  New in
  New in 1.12.7.

## SIPTAG_REPLY_TO_STR

#define SIPTAG_REPLY_TO_STR | ( |  | s | ) |

Tag list item for string with Reply-To header value.

The SIPTAG_REPLY_TO_STR() macro is used to include a tag item with a string containing value of a sip_reply_to_t header in a tag list.

Parameters

  s | pointer to a string containing Reply-To header value, or NULL.

The string in SIPTAG_REPLY_TO_STR() can be converted to a sip_reply_to_t header structure by giving the string s has second argument to function sip_reply_to_make().

The corresponding tag taking reference parameter is SIPTAG_REPLY_TO_STR_REF().

Since
  New in
  New in 1.12.7.

## Typedef Documentation

## sip_reply_to_t

typedef struct sip_reply_to_s sip_reply_to_t

@

The Reply-To header field contains a logical return URI that may be different from the From header field. For example, the URI MAY be used to return missed calls or unestablished sessions. If the user wished to remain anonymous, the header field SHOULD either be omitted from the request or populated in such a way that does not reveal any private information. Its syntax is defined in RFC 3261 as follows:

Reply-To = "Reply-To" HCOLON rplyto-spec
rplyto-spec = ( name-addr / addr-spec )
*( SEMI rplyto-param )
rplyto-param = generic-param

The parsed Reply-To header is stored in sip_reply_to_t structure.

See also
  sip_update_default_mclass()

Since
  New in 1.12.7. In order to use Reply-To header, initialize the SIP parser before calling nta_agent_create() or nua_create() with, e.g., sip_update_default_mclass(sip_extend_mclass(NULL)).

Note
  The sip_t structure does not contain a sip_reply_to field, but sip_reply_to() function should be used for accessing the Reply-To header structure.

The structure sip_reply_to_t contains representation of SIP Reply-To header.

The sip_reply_to_t is defined as follows:

struct sip_reply_to_s
{
sip_common_t rplyto_common[1]; // Common fragment info
sip_error_t *rplyto_next; // Dummy link to next header
char const *rplyto_display; // Display name
url_t rplyto_url[1]; // Return URI
msg_param_t const *rplyto_params; // List of optional parameters
};
sip_error_t
msg_error_t sip_error_t
@
Definition sip.h:134
sip_common_t
msg_common_t sip_common_t
Common part of all the header structures.
Definition sip.h:121
sip_reply_to_s
Structure for Reply-To header.
Definition sip_extra.h:81
sip_reply_to_s::rplyto_common
sip_common_t rplyto_common[1]
Common fragment info.
Definition sip_extra.h:82
sip_reply_to_s::rplyto_params
msg_param_t const * rplyto_params
List of optional parameters.
Definition sip_extra.h:86
sip_reply_to_s::rplyto_next
sip_error_t * rplyto_next
Dummy link to next header.
Definition sip_extra.h:83
sip_reply_to_s::rplyto_url
url_t rplyto_url[1]
Return URI.
Definition sip_extra.h:85
sip_reply_to_s::rplyto_display
char const * rplyto_display
Display name.
Definition sip_extra.h:84
url_t

## Function Documentation

## sip_is_reply_to()

int sip_is_reply_to | ( | sip_header_t const * | header | ) |

inline

Test if header object is instance of sip_reply_to_t.

Check if the header class is an instance of Reply-To header object and return true (nonzero), otherwise return false (zero).

Parameters

  header | pointer to the header structure to be tested

Return values

  1 | (true) if the header is an instance of header reply_to
  0 | (false) otherwise

Since
  New in
  New in 1.12.7.

## sip_reply_to_copy()

sip_reply_to_t * sip_reply_to_copy | ( | su_home_t * | home,
|  | sip_reply_to_t const * | hdr )

inline

Copy a list of Reply-To header header structures sip_reply_to_t.

The function sip_reply_to_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the list of header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be copied

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old hdr header, including the encoding of the old header, if present.

Example
  reply_to = sip_reply_to_copy(home, sip->sip_reply_to);
  sip_reply_to_copy
  sip_reply_to_t * sip_reply_to_copy(su_home_t *home, sip_reply_to_t const *hdr))
  Copy a list of Reply-To header header structures sip_reply_to_t.
  Definition sip_extra.h:1052

Returns
  A pointer to newly copied header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## sip_reply_to_dup()

sip_reply_to_t * sip_reply_to_dup | ( | su_home_t * | home,
|  | sip_reply_to_t const * | hdr )

inline

Duplicate a list of Reply-To header header structures sip_reply_to_t.

Duplicate a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  reply_to = sip_reply_to_dup(home, sip->sip_reply_to);
  sip_reply_to_dup
  sip_reply_to_t * sip_reply_to_dup(su_home_t *home, sip_reply_to_t const *hdr))
  Duplicate a list of Reply-To header header structures sip_reply_to_t.
  Definition sip_extra.h:1008

Returns
  A pointer to the newly duplicated sip_reply_to_t header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## sip_reply_to_format()

sip_reply_to_t * sip_reply_to_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a Reply-To header from formatting result.

Make a new sip_reply_to_t object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and parses the formatting result to the structure sip_reply_to_t.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Returns
  A pointer to newly makes header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## sip_reply_to_init()

sip_reply_to_t * sip_reply_to_init | ( | sip_reply_to_t | x[1] | ) |

inline

Initialize a structure sip_reply_to_t.

An sip_reply_to_t structure for Reply-To header can be initialized with the sip_reply_to_init() function/macro. For instance,

sip_reply_to_t sip_reply_to;
sip_reply_to_init(&sip_reply_to);
sip_reply_to_init
sip_reply_to_t * sip_reply_to_init(sip_reply_to_t x[1])
Initialize a structure sip_reply_to_t.
Definition sip_extra.h:937

Since
  New in
  New in 1.12.7.

## sip_reply_to_make()

sip_reply_to_t * sip_reply_to_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a Reply-To header structure sip_reply_to_t.

The function sip_reply_to_make() makes a new sip_reply_to_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Returns
  A pointer to newly maked sip_reply_to_t header structure, or NULL upon an error.

Since
  New in
  New in 1.12.7.

## Variable Documentation

## sip_reply_to_class

msg_hclass_t sip_reply_to_class[]

extern

Header class for Reply-To header.

The header class sip_reply_to_class defines how a SIP Reply-To header is parsed and printed. It also contains methods used by SIP parser and other functions to manipulate the sip_reply_to_t header structure.

Since
  New in
  New in 1.12.7.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.